LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions
User Name
Password
Linux - Distributions This forum is for Distribution specific questions.
Red Hat, Slackware, Debian, Novell, LFS, Mandriva, Ubuntu, Fedora - the list goes on and on... Note: An (*) indicates there is no official participation from that distribution here at LQ.

Notices


Reply
  Search this Thread
Old 09-03-2005, 06:36 PM   #1
macaddict89
LQ Newbie
 
Registered: Jan 2004
Distribution: Ubuntu
Posts: 4

Rep: Reputation: 0
[Gentoo] problem emerging xine-lib-1.0.1-r3


First off, i apologize if this isn't where this question should go, or if this an RTFM thing, but it sounded like a gentoo-specific issue.

I've had this issue since about 2005.0. One of the dependencies for the full blown kde-3.4 is xine-lib-1.0.1-r3. However, when it does get to this and starts to emerge, or if I emerge it alone, i come up with this


Quote:
!!! Problem in media-libs/xine-lib-1.0.1-r3 dependencies.
!!! "Specific key requires and operator (media-libs/xine-lib-1.0.1-r3) (try adding an '=')" exceptions
i realize it says to add an =, but where? Is this something an average joe is supposed to add? I tried other xine-libs and got the same issue. Even if one of the other xine-libs worked it wouldn't help since kde wants 1.0.1-r3.

What you loose without it seems to be media-related things like amarok and the whole kdemultimedia build.
I can live without it for now, but i'd like to find out whats going on, if its just me (though i've reinstalled gentoo completely with the same result)


A completely different question is i downloaded xine from the sourceforge page and its not recognized as a gzip file even though its xine-lib-1.0.1-r3.tar.gz. I'm investigating this one right now. Even so would emerge honor it and exclude that dependency.

It seems to be just me with this problem, as i've not seen anything on google or Linuxquestions

thanks for listening to my issue


______________________________________________________________
Computer Specs (nothing impressive)
Dell Optiplex GX110
P3 800MHZ
384MB RAM
Intel i810 integrated video
Soundblaster 32 PCI card (not sure on that one)
Gentoo 2005.1 2.6.12-r10
Fedora Core 3 (working on FC4)
Windows 2000
 
Old 09-03-2005, 07:04 PM   #2
mebrelith
Member
 
Registered: Nov 2004
Location: Torreón, Coahuila, México
Distribution: Gentoo
Posts: 342
Blog Entries: 1

Rep: Reputation: 30
This only happens when specify a build. If you want xine-lib-1.0.1-r3 then you have to write this:

emerge =media-libs/xine-lib-1.0.1-r3
 
Old 09-03-2005, 09:46 PM   #3
macaddict89
LQ Newbie
 
Registered: Jan 2004
Distribution: Ubuntu
Posts: 4

Original Poster
Rep: Reputation: 0
thank you very much mebrelith, i appreciate it.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem emerging KDE in Gentoo cdavidson Linux - Distributions 5 05-27-2005 07:59 PM
problem after update xine-lib salahuddin_66 Slackware 2 06-08-2004 08:28 PM
Problem emerging package gtkam in gentoo PGDubbin Linux - Software 3 05-15-2004 07:01 PM
Gentoo - Emerging Xfree86 arrruken Linux - Software 5 02-29-2004 06:08 AM
problem installing xine lib tylerb Linux - Software 15 02-26-2004 04:29 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions

All times are GMT -5. The time now is 04:26 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration